Bug 1032076 - Add note to Password Vault configuration screen that keystore must be set up already
Add note to Password Vault configuration screen that keystore must be set up ...
Status: CLOSED NOTABUG
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Installer (Show other bugs)
unspecified
Unspecified Unspecified
unspecified Severity unspecified
: ---
: EAP 6.3.0
Assigned To: Francisco Canas
Petr Kremensky
Russell Dickenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-19 09:02 EST by Catherine Robson
Modified: 2014-09-03 00:57 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-05-07 09:38:25 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Catherine Robson 2013-11-19 09:02:34 EST
Description of problem:
When the user is going through the installer and gets to the Keystore configuration screen, it is not clear from the description that the keystore must be set up prior to being able to use the settings in the installer.


Recommended Change:
Change the description of this screen to:

JBoss EAP 6 can be configured to mask passwords used in file descriptors using an encrypted keystore.  The keystore must already be set up on this system.  Then, using the values below, the installer will mask any other passwords used in other parts of the post-installation process.


Questions:
Does setting up the password vault only mask passwords in this installer - or this setting will apply to any EAP passwords generated in the future through the CLI or admin console as well?
Comment 1 Francisco Canas 2013-11-29 10:14:48 EST
The password vault will only be used to mask passwords during the installer's post-installation process. 

String has been changed to:

"Red Hat JBoss Enterprise Application Platform can be configured to mask passwords used in file descriptors using an encrypted keystore.  The keystore must already be set up on this system.  Then, using the values below, the installer will mask any other passwords used in other parts of the post-installation process."
Comment 2 Francisco Canas 2014-05-07 09:38:25 EDT
EAP 6.3 Installer supports creation of a brand new vault keystore during installation, so this BZ is actually no longer applicable. 

There was no BZ opened for adding the feature, but this BZ confirms that it is present in 6.3 as it's related to the change:
https://bugzilla.redhat.com/show_bug.cgi?id=1087807

Note You need to log in before you can comment on or make changes to this bug.